---
tags: work
title: Senior Software Engineer at Allovue (PowerSchool)
description: _(Aug 2019 - Jul 2020, April 2022 - February 2024)_ Functional programming in **Elixir**, **Ember.js** and **Postgres** powering school budgeting nationwide.
date: 2024-02-29
image: /img/content/allovue-thumb.png
imageDescription: Screenshots of an Allovue web app on the overview page indicating a school district's number of institutions, school characacteristics, job types, sub-enrollment types as well as a section below for enrollment projections, formulas, and scenarios. The indication is that this allows a school district to manage their institutions budgets.
pinned: false
---

Building budgeting software to give educators the tools and support they need to allocate resources to the needs of students for a more equitable world.

Empowering educators to strategically and equitably allocate resources to best support the needs of students. We're building budgeting software to give school districts the tools they need to give educators the tools they need.

Furthermore, Allovue stands for equity and antiracism. I get to work with fellow other transgender coworkers and I've never felt more at home in the workplace.

![Screenshots of an Allovue web app on the overview page indicating a school district's number of institutions, school characacteristics, job types, sub-enrollment types as well as a section below for enrollment projections, formulas, and scenarios. The indication is that this allows a school district to manage their institutions budgets.](/img/content/allovue2.png)

This has been my first full-time venture into functional programming with [Elixir](https://elixir-lang.org/) and [Phoenix](https://www.phoenixframework.org/) and I'm loving every minute of it.

I've been digging in deep with the rest of product in a very cross-function design, QA and engineering on something ~~I wish I could talk more about~~ and now I can proudly say it's released! Read more at [Allovue Partners with Arizona on School Finance Transparency](https://blog.allovue.com/press/announces-arizona-school-financial-transparency-portal).

![Mockup of two phone screens showing previews of the Arizona School Spending website. They speak on Arizona's K-12 School Finance with a goal of making education dollars easier to understand with an option to search. On the second screen are graphs with dates and an indicator on tracking total enrollment over time. There's also an indicator of a custom report comparing 2/4 institutions.](/img/content/allovue3.jpg)

## Prior to 2020

Leveraging modern web technologies we built an ambitious web app with Microstates within [EmberJS](https://emberjs.com/) powered by a [Rails](https://rubyonrails.org/) API. Pushing the boundaries of what is possible with [Ember Data](https://guides.emberjs.com/release/models/) with an advanced [Graphiti](https://www.graphiti.dev) data management layer to ensure payloads are handled efficiently for a better UX.

[![Screencaps of the UI from a previous web application called Budget](/img/content/allovue1.png)](https://www.allovue.com/budget?hsLang=en)

This tool is still in use by many today as a far better solution than passing around spreadsheet files between people and departments.
